This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1015074 - Mark required fields in wizards
Mark required fields in wizards
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: SwitchYard Editor (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity medium
: ER7
: 6.0.0
Assigned To: Rob Cernich
Jiri Sedlacek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-03 08:20 EDT by Andrej Podhradsky
Modified: 2015-08-02 19:45 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Enhancement
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-1750 Major Closed Mark required fields in wizards 2014-06-16 19:49:51 EDT

  None (edit)
Description Andrej Podhradsky 2013-10-03 08:20:51 EDT
Description of problem:
Some required field are not marked as required (e.g. by asterisk) when a user adds bindings. Moreover, no error message is visible, just the finish button is disabled. This error message is displayed only when I type a text to some field and the set focus to another filed.

The following biunding wizards need marking the required field

    JCA (Endpoint Mapping Type)
    JMS (Queue/Topic Name)
    JPA (Entity Class Name)
    REST (RESTful Interfaces)
    SOAP (WSDL URI)

The other bindigs mark required fields by asterisk.

Version-Release number of selected component (if applicable):
JBDS-IS 7.0.0.Beta4

How reproducible:
always
Comment 1 JBoss JIRA Server 2013-10-04 08:53:10 EDT
Brian Fitzpatrick <bfitzpat@redhat.com> made a comment on jira SWITCHYARD-1750

Couple of things. First, I'll add the asterisk back in on the fields it might be missing on. That's likely a ripple effect from localizing those strings. 

Second, by default we don't want to show an error message off the bat in wizards. That's not the style for wizards in Eclipse. You start with the Finish button disabled until they actually do something needing validation. Once they tab off, the message appears. Otherwise the text at the top of the wizard page is occluded by the error message and they may not know or understand what they're supposed to do anyway. 

So though I understand you want more immediate feedback for required fields, I don't think automatically flagging the validation problem is the way to go.
Comment 2 JBoss JIRA Server 2013-10-04 09:50:43 EDT
Brian Fitzpatrick <bfitzpat@redhat.com> made a comment on jira SWITCHYARD-1750

This PR updates the labels mentioned as well as fixes one validation issue found with the JPA binding.
Comment 3 JBoss JIRA Server 2013-10-04 10:30:46 EDT
Brian Fitzpatrick <bfitzpat@redhat.com> made a comment on jira SWITCHYARD-1750

BTW, the "Endpoint Mapping Type" field is handled a little differently with JCA from the original version of the binding UI to the revised version from a few months ago. I've added the asterisks for required fields in there, so hopefully that addresses what you were seeing.
Comment 4 JBoss JIRA Server 2013-10-04 14:15:08 EDT
Rob Cernich <rcernich@redhat.com> made a comment on jira SWITCHYARD-1750

pushed
Comment 8 Andrej Podhradsky 2013-12-16 02:59:27 EST
Verified with JBDS-IS 7.0.0.CR1
Comment 9 JBoss JIRA Server 2014-06-16 19:49:51 EDT
Keith Babo <kbabo@redhat.com> updated the status of jira SWITCHYARD-1750 to Closed

Note You need to log in before you can comment on or make changes to this bug.